<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.trade.service.enterprise.mapper.EnterpriseChangeRecordMapper">

    <resultMap type="com.trade.service.enterprise.domain.EnterpriseChangeRecord" id="EnterpriseChangeRecordMap">
        <result property="id" column="id"/>
        <result property="customerId" column="customer_id"/>
        <result property="enterpriseId" column="enterprise_id"/>
        <result property="enterpriseType" column="enterprise_type"/>
        <result property="countryCode" column="country_code"/>
        <result property="name" column="name"/>
        <result property="certNo" column="cert_no"/>
        <result property="registrationNumber" column="registration_number"/>
        <result property="customsEnterpriseCode" column="customs_enterprise_code"/>
        <result property="taxNo" column="tax_no"/>
        <result property="xtEid" column="xt_eid"/>
        <result property="establishDate" column="establish_date"/>
        <result property="registerCapital" column="register_capital"/>
        <result property="registerAddress" column="register_address"/>
        <result property="sameRegisterAndBusinessAddress" column="same_register_and_business_address"/>
        <result property="businessAddress" column="business_address"/>
        <result property="certificationStatus" column="certification_status"/>
        <result property="exportType" column="export_type"/>
        <result property="proxyDistrictCode" column="proxy_district_code"/>
        <result property="authorizationFile" column="authorization_file"/>
        <result property="businessProduct" column="business_product"/>
        <result property="remark" column="remark"/>
        <result property="deleted" column="deleted"/>
        <result property="createBy" column="create_by"/>
        <result property="updateBy" column="update_by"/>
        <result property="gmtCreate" column="gmt_create"/>
        <result property="gmtModified" column="gmt_modified"/>

    </resultMap>

    <sql id="Base_Column_List">
        `id`, `customer_id`,`enterprise_id`, `enterprise_type`, `country_code`, `name`, `cert_no`,
        `customs_enterprise_code`,`tax_no`, `xt_eid`, `registration_number`, `industry`, `establish_date`, `register_capital`,
        `register_address`, `business_address`, `proxy_district_code`,`certification_status`,
        `same_register_and_business_address`,`export_type`, `authorization_file`,  `business_product`, remark`,
        `deleted`, `create_by`,`update_by`, `gmt_create`, `gmt_modified`
     </sql>

</mapper>

